using UnityEngine;
using System.Collections;

public class EnemyObject : MonoBehaviour
{
    AISettings m_aiSettings;

    public AISettings AI
    {
        get { return m_aiSettings; }
    }

	// Use this for initialization
	void Start ()
    {
        m_aiSettings = new AISettings();

        if (Random.Range(0, 3) == 0)
        {
            m_aiSettings.m_idleRoamChance = Random.Range(0.2f, 1.0f);
        }

        if (Random.Range(0, 2) == 0)
        {
            m_aiSettings.m_agressiveness = Random.Range(m_aiSettings.m_agressiveness, 3.0f);
        }
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
